Load Balancer
Add Multiple Targets
post
/loadbalancer/{lb_uuid}/listeners/{listener_uuid}/targets/batchAdd multiple targets to a listener in a single operation.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
lb_uuid*string
listener_uuid*string
Request body
Add multiple targets to a listener in a single operation
application/jsonRequired
targets*array<LBTargetCreate>
List of targets to add
Range
items ≥ 1Rangeitems ≤ 50Properties (5)
target_type*LBTargetType
Value in
"vps""baremetal""availability_group"target_uuid*string
UUID of VPS, Baremetal ID, or Availability Group UUID
port?integer | null
Override target port
Range
1 ≤ value ≤ 65535weight?integer | null
Target weight
Range
1 ≤ value ≤ 100Default100enabled?boolean | null
Default
trueResponses
Successful Response
application/json
detail*string
targets?array<LBBatchTargetOut>
Properties (4)
uuid*string
target_type*string
target_uuid*string
target_name?string | null